%define major	4
%define minor	4
%define patchlevel	3
%define gver	%{major}r%{minor}p%{patchlevel}
%define aver	%{major}r%{minor}
%define pkgsdir %_libdir/%name%version/pkg
%define pkgdir %pkgsdir/%current_package

Summary: GAP (Groups, Algorithms and Programming)
Name: gap
Version: %major.%minor
Release: alt2

Source0: gap%gver.tar.bz2
#Source1: gap-packages-20040512.tar.bz2
#Source2: ftp://ftp-gap.dcs.st-and.ac.uk/pub/gap/gap4/bugfixes/fix%{gver}n4.tar.bz2
#Source10: fix%{gver}n1-8.tar.gz
License: GPL
Group: Sciences/Mathematics
Url: http://www.gap-system.org/

%description
GAP (Groups, Algorithms and Programming) is a system for computational
discrete algebra with particular emphasis on, but not restricted to
computational group theory.

%package doc
Group: Sciences/Mathematics
Requires: %name = %version-%release
Summary: %name documentation
%description doc
%name documentation.

%package gac
Group: Development/Other
Requires: %name = %version-%release
Summary: %name compiler
Requires: gcc
%description gac
%name compiler and friends.

%package pkg-tomlib
Group: Sciences/Mathematics
Requires: %name = %version-%release
Summary: The GAP Library of Tables of Marks
%description pkg-tomlib
This is Version 1.1 of the GAP Library of Tables of Marks,
which is an add-on package for GAP 4.

%prep
# (cd $RPM_SOURCE_DIR; cc -DSYS_IS_UNIX unzoo.c -o unzoo)

## Easy setup with tar files
%setup -q -n %name%aver
#%__tar jxf %SOURCE1 -C pkg

# -------------------
# Apply hotfixes here
# -------------------
#bzip2 -cd %SOURCE2 | tar xf -

%configure

%build
%__make
# (cd bin; rm -f */*.o)

%install
%__install -d %buildroot{%_bindir,%_libdir/%name%version}

# Should probably use install here.
%__mv bin cnf grp lib pkg prim small src trans tst \
	%buildroot%_libdir/%name%version

# Fix location in shell wrapper (%post too?)
%__perl -pi -e"s,GAP_DIR=.*,GAP_DIR=%_libdir/%name%version," \
        %buildroot%_libdir/%name%version/bin/%name.sh
cd %buildroot%_bindir
%__ln_s ../..%_libdir/%name%version/bin/%name.sh %name
cd -

%files
%_bindir/gap
%dir %_libdir/%name%version
%_libdir/%name%version/grp
%_libdir/%name%version/lib
%dir %_libdir/%name%version/pkg
%_libdir/%name%version/pkg/PKGDIR
%_libdir/%name%version/prim
%_libdir/%name%version/small
%_libdir/%name%version/trans
%_libdir/%name%version/tst
%_libdir/%name%version/bin/gap*
%_libdir/%name%version/bin/*/gap
%doc README

%files doc
%doc doc/*

%files gac
%_libdir/%name%version/bin/*/config*
%_libdir/%name%version/bin/*/gac
%_libdir/%name%version/bin/*/Makefile
%_libdir/%name%version/src

# Built-in tomlib package
%define current_package tomlib
%files pkg-%current_package
%dir %pkgdir
%pkgdir/data
%pkgdir/gap
%pkgdir/init.g
%pkgdir/PackageInfo.g
%pkgdir/read.g
%pkgdir/tst
%doc %pkgdir/README
%doc %pkgdir/doc/*
%doc %pkgdir/htm/*

%changelog
* Tue May 18 2004 Andrey Brindeew <abr@altlinux.ru> 4.4-alt2
- Minor specfile changes.

* Sun May 16 2004 Andrey Brindeew <abr@altlinux.ru> 4.4-alt1
- GAP 4.4.3
- Url was updated

* Sat May 31 2003 Andrey Brindeew <abr@altlinux.ru> 4.3-alt1
- First build for ALT Linux
- version 4.3n4

* Mon Jan 14 2002 Rex Dieter <rdieter@unl.edu> 4.2.8-1
- version: 4r2 -> 4.2
- doc subpkg (only html docs, for now)
- gac subpkg
- specfile cosmetics
- at least pretend to be relocatable

* Tue Jun 26 2001  Rex Dieter <rdieter@unl.edu>
- First try, gap4r2 (+fixes 1-8)
- convert zoo archives to tar.gz
- bundle fixes 1-8 into one file.
- TODO: Split into multiple smaller rpms.

